> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Time

> Retrieves the current server time

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| PublisherNotSet | 1122 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetTime
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetTime:
    post:
      tags:
        - Title-Wide Data Management
      summary: Get Time
      description: |
        Retrieves the current server time

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | PublisherNotSet | 1122 |
      operationId: GetTime
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetTimeRequest'
        description: >-
          This query retrieves the current time from one of the servers in
          PlayFab. Please note that due to clock drift between servers, there is
          a potential variance of up to 5 seconds.
      responses:
        '200':
          $ref: '#/components/responses/GetTimeResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetTimeRequest:
      description: >-
        This query retrieves the current time from one of the servers in
        PlayFab. Please note that due to clock drift between servers, there is a
        potential variance of up to 5 seconds.
      type: object
      properties: {}
      example: {}
    GetTimeResult:
      description: Time is always returned as Coordinated Universal Time (UTC).
      type: object
      properties:
        Time:
          description: Current server time when the request was received, in UTC
          type: string
      required:
        - Time
      example:
        Time: '2016-09-30T15:00:00'
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetTimeResult:
      description: Time is always returned as Coordinated Universal Time (UTC).
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetTimeResult'
            example:
              code: 200
              status: OK
              data:
                Time: '2016-09-30T15:00:00'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Time](/services/playfab/api-references/rest/client/title-wide-data-management/get-time.md)
- [PFTitleDataManagementGetTimeResult](/services/playfab/api-references/c/pftitledatamanagementtypes/structs/pftitledatamanagementgettimeresult.md)
- [PFTitleDataManagementServerGetTimeGetResult](/services/playfab/api-references/c/pftitledatamanagement/functions/pftitledatamanagementservergettimegetresult.md)
- [PFTitleDataManagementClientGetTimeGetResult](/services/playfab/api-references/c/pftitledatamanagement/functions/pftitledatamanagementclientgettimegetresult.md)
- [PFTitleDataManagementClientGetTimeAsync](/services/playfab/api-references/c/pftitledatamanagement/functions/pftitledatamanagementclientgettimeasync.md)
